%define major                 1
%define libqt5extserialport   %mklibname qt5extserialport %{major}
%define libqt5extserialport_d %mklibname qt5extserialport -d

Name:           qextserialport
Version:        1.2
Release:        %mkrel 1
Summary:        Interface to old fashioned serial ports for Qt-based applications
Group:          Development/KDE and Qt 
License:        MIT
URL:            http://code.google.com/p/qextserialport/ 
Source0:        http://qextserialport.googlecode.com/files/%{name}-%{version}rc.zip

BuildRequires:  pkgconfig(Qt5Core)

%description
QextSerialPort provides an interface to old fashioned serial ports
for Qt-based applications.

#------------------------------------------------------------------------------

%package -n     %{libqt5extserialport}
Summary:        Interface to old fashioned serial ports for Qt5-based applications
Group:          System/Libraries

%description -n %{libqt5extserialport}
QextSerialPort provides an interface to old fashioned serial ports
for Qt5-based applications.

%files -n %{libqt5extserialport}
%_libdir/libQt5ExtSerialPort.so.%{major}*

#------------------------------------------------------------------------------

%package -n     %{libqt5extserialport_d}
Summary:        Devel files needed to build apps based on qt5extserialport
Group:          Development/KDE and Qt
Requires:       %{libqt5extserialport} = %{version}
Provides:       qt5extserialport-devel = %{version}-%{release}
Provides:       libqt5extserialport-devel = %{version}-%{release}

%description -n %{libqt5extserialport_d}
Devel files needed to build apps based on qt5extserialport.

%files -n %{libqt5extserialport_d}
%_qt5_includedir/QtExtSerialPort/
%_libdir/libQt5ExtSerialPort.prl
%_libdir/libQt5ExtSerialPort.so
%_libdir/qt5/mkspecs/features/extserialport.prf

#-----------------------------------------------------------------------------
### Qt4 ###

%define libqextserialport   %mklibname %{name} %{major}
%define libqextserialport_d %mklibname %{name} -d

%package -n     %{libqextserialport}
Summary:        Interface to old fashioned serial ports for Qt-based applications
Group:          System/Libraries
BuildRequires:  pkgconfig(QtCore)

%description -n %{libqextserialport}
QextSerialPort provides an interface to old fashioned serial ports
for Qt-based applications.

%files -n %{libqextserialport}
%_libdir/libqextserialport.so.%{major}*

#------------------------------------------------------------------------------

%package -n     %{libqextserialport_d}
Summary:        Devel files needed to build apps based on %{name}
Group:          Development/KDE and Qt
Requires:       %{libqextserialport} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libqextserialport_d}
Devel files needed to build apps based on %{name}.

%files -n %{libqextserialport_d}
%_includedir/QtExtSerialPort
%_libdir/libqextserialport.prl
%_libdir/libqextserialport.so
%_libdir/qt4/mkspecs/features/extserialport.prf

### End Qt4 ###
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}rc

cp -a . %{_builddir}/qt4

%build
### Qt5 build ###
%qmake_qt5
%make_build

### Qt4 build ###
pushd ../qt4
%qmake_qt4
%make_build
popd

%install
### Qt5 install ###
%make_install INSTALL_ROOT=%{buildroot}

### Qt4 install ###
%make_install -C ../qt4 INSTALL_ROOT=%{buildroot}


%changelog
* Tue Oct 03 2018 tex 1.2-1pclos2018
- new
